import { Component } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { CeateMeetingComponent } from '../components/ceate-meeting/ceate-meeting.component';

@Component({
  selector: 'app-list',
  templateUrl: './list.component.html',
  styleUrls: ['./list.component.scss'],
})
export class ListComponent {
  constructor(public readonly dialog: MatDialog) {}
  openCreateDialog(): void {
    const dialogRef = this.dialog.open(CeateMeetingComponent, {
      width: '800px',
    });

    dialogRef.afterClosed().subscribe((result) => {
      console.log(`Dialog result: ${result}`);
    });
  }
}
